Bug 1693692 - Increase code coverage from regression tests
Summary: Increase code coverage from regression tests
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL: https://build.gluster.org/job/line-co...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 13:45 UTC by Amar Tumballi
Modified: 2019-08-05 17:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22441 None Open tests: add statedump to playground 2019-04-01 09:02:59 UTC
Gluster.org Gerrit 22442 None Open tests: add a tests for trace xlator 2019-04-10 04:31:11 UTC
Gluster.org Gerrit 22443 None Open sdfs: enable pass-through 2019-04-03 08:41:51 UTC
Gluster.org Gerrit 22444 None Open protocol: add an option to force using old-protocol 2019-04-10 04:42:41 UTC
Gluster.org Gerrit 22455 None Open posix-acl: remove default functions, and use library fn instead 2019-04-03 04:28:17 UTC
Gluster.org Gerrit 22456 None Open marker-quota: remove dead code 2019-04-15 02:19:31 UTC
Gluster.org Gerrit 22458 None Open tests: enhance the auth.allow test to validate all failures of 'login' module 2019-05-08 10:32:16 UTC
Gluster.org Gerrit 22491 None Open tests: make sure to traverse all of meta dir 2019-04-12 02:15:42 UTC
Gluster.org Gerrit 22550 None Open tests: validate volfile grammar - strings in volfile 2019-05-06 13:58:49 UTC
Gluster.org Gerrit 22551 None Open tests: add tests for different signal handling 2019-05-30 07:33:22 UTC
Gluster.org Gerrit 22597 None Open tests: add .t file to increase cli code coverage 2019-04-24 14:33:28 UTC
Gluster.org Gerrit 22598 None Open tier/cli: remove tier code to increase code coverage in cli 2019-04-25 10:38:57 UTC
Gluster.org Gerrit 22599 None Open tests: add .t files to increase cli code coverage 2019-04-24 14:59:17 UTC
Gluster.org Gerrit 22621 None Open nl-cache:add test to increase code coverage 2019-04-29 07:29:58 UTC
Gluster.org Gerrit 22627 None Open performance/decompounder: remove the translator as the feature is not used anymore 2019-04-29 05:29:58 UTC
Gluster.org Gerrit 22628 None Open protocol: remove compound fop 2019-04-29 05:30:26 UTC
Gluster.org Gerrit 22629 None Open libglusterfs: remove compound-fop helper functions 2019-04-29 12:10:07 UTC
Gluster.org Gerrit 22630 None Open tests: add .t files to increase cli code coverage 2019-05-02 04:53:09 UTC
Gluster.org Gerrit 22631 None Open tests/cli: add .t file to increase line coverage in cli 2019-05-02 06:00:51 UTC
Gluster.org Gerrit 22664 None Open glusterd/tier: remove tier related code from glusterd 2019-05-27 07:51:04 UTC
Gluster.org Gerrit 22753 None Open tests/quick-read-with-upcall.t: increase the timeout 2019-05-21 11:42:13 UTC
Gluster.org Gerrit 22779 None Open marker: remove some unused functions 2019-05-30 07:36:02 UTC
Gluster.org Gerrit 22780 None Abandoned code-coverage: improve it on trace and posix xlators 2019-07-30 16:32:32 UTC
Gluster.org Gerrit 22789 None Open lcov: improve line coverage 2019-06-03 08:43:46 UTC
Gluster.org Gerrit 22792 None Open lcov: more coverage to shard, old-protocol, sdfs 2019-05-31 09:30:29 UTC
Gluster.org Gerrit 22794 None Open tests/geo-rep: Add tests to cover glusterd geo-rep 2019-05-31 13:25:56 UTC
Gluster.org Gerrit 22799 None Open lcov: run more fops on translators 2019-06-04 09:53:35 UTC
Gluster.org Gerrit 22803 None Open tests/geo-rep: Add geo-rep glusterd test cases 2019-06-04 06:25:48 UTC
Gluster.org Gerrit 22818 None Open tests/geo-rep: Add geo-rep cli testcases 2019-06-06 05:18:06 UTC
Gluster.org Gerrit 22887 None Open lcov: add more tests to glfsxmp-coverage 2019-06-25 09:36:57 UTC
Gluster.org Gerrit 23098 None Open error-gen: increase coverage by reducing error-rate 2019-07-30 13:02:36 UTC
Gluster.org Gerrit 23099 None Open gfapi: increase function-coverage 2019-07-31 00:53:55 UTC
Gluster.org Gerrit 23100 None Open quiesce: add missing fops 2019-07-25 16:46:07 UTC
Gluster.org Gerrit 23122 None Open trace: add more coverage by testing it with glfs-coverage too. 2019-07-30 13:02:11 UTC
Gluster.org Gerrit 23128 None Open tests: heal-info add --xml option for more coverage 2019-07-30 16:27:55 UTC
Gluster.org Gerrit 23133 None Open glusterfsd: minor enhancements 2019-07-31 04:33:51 UTC
Gluster.org Gerrit 23139 None Open lcov: check for zerofill/discard fops on arbiter 2019-08-01 11:55:10 UTC
Gluster.org Gerrit 23141 None Open xdr: add code so we have more xdr functions covered 2019-08-04 07:11:25 UTC
Gluster.org Gerrit 23159 None Open tests/line-coverage: more commands added to cover xdrs 2019-08-05 17:34:09 UTC

Description Amar Tumballi 2019-03-28 13:45:07 UTC
Description of problem:
Currently the overall code coverage is around 60%, it is good to increase it to 70%. 

ref: https://build.gluster.org/job/line-coverage/lastCompletedBuild/Line_20Coverage_20Report/

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1. Keep checking the URL and check individual components etc.


Expected results:
Line coverage should be 70%

Additional info:

Some pointers to look into:

* sdfs is at 1% (can be increased to 80% + with a minor fix.
* quiesce is at 20%. Can be increased by a test with handcrafted volfile.
* cloudsync is at 22% need a way to increase it.
* trace is at <30% looks like we can do more with handcrafted volfile.

* protocol is missing major part of the tests mainly due to not having code of 3.x RPC programs. Need a mechanism to have a test of old 3.x version protocol too. 


Just with the above we should be able to handle up-to 3% may be.

Comment 2 Worker Ant 2019-03-29 03:16:25 UTC
REVIEW: https://review.gluster.org/22441 (tests: add statedump to playground) posted (#1) for review on master by Amar Tumballi

Comment 3 Worker Ant 2019-03-29 03:17:39 UTC
REVIEW: https://review.gluster.org/22442 (tests: add a tests for trace xlator) posted (#1) for review on master by Amar Tumballi

Comment 4 Worker Ant 2019-03-29 03:18:45 UTC
REVIEW: https://review.gluster.org/22443 (sdfs: enable pass-through) posted (#1) for review on master by Amar Tumballi

Comment 5 Worker Ant 2019-03-29 03:19:53 UTC
REVIEW: https://review.gluster.org/22444 (protocol: add an option to force using old-protocol) posted (#1) for review on master by Amar Tumballi

Comment 6 Worker Ant 2019-04-01 04:35:11 UTC
REVIEW: https://review.gluster.org/22455 (posix-acl: remove default functions, and use library fn instead) posted (#1) for review on master by Amar Tumballi

Comment 7 Worker Ant 2019-04-01 05:32:04 UTC
REVIEW: https://review.gluster.org/22458 (tests: enhance the auth.allow test to validate all failures of 'login' module) posted (#1) for review on master by Amar Tumballi

Comment 8 Worker Ant 2019-04-01 09:03:01 UTC
REVIEW: https://review.gluster.org/22441 (tests: add statedump to playground) merged (#2) on master by Amar Tumballi

Comment 9 Worker Ant 2019-04-03 04:28:18 UTC
REVIEW: https://review.gluster.org/22455 (posix-acl: remove default functions, and use library fn instead) merged (#3) on master by Amar Tumballi

Comment 10 Worker Ant 2019-04-03 08:41:52 UTC
REVIEW: https://review.gluster.org/22443 (sdfs: enable pass-through) merged (#2) on master by Amar Tumballi

Comment 11 Worker Ant 2019-04-03 11:23:07 UTC
REVIEW: https://review.gluster.org/22491 (tests: make sure to traverse all of meta dir) posted (#1) for review on master by Amar Tumballi

Comment 12 Worker Ant 2019-04-10 04:31:12 UTC
REVIEW: https://review.gluster.org/22442 (tests: add a tests for trace xlator) merged (#2) on master by Amar Tumballi

Comment 13 Worker Ant 2019-04-10 04:42:42 UTC
REVIEW: https://review.gluster.org/22444 (protocol: add an option to force using old-protocol) merged (#3) on master by Amar Tumballi

Comment 14 Worker Ant 2019-04-12 02:15:43 UTC
REVIEW: https://review.gluster.org/22491 (tests: make sure to traverse all of meta dir) merged (#3) on master by Amar Tumballi

Comment 15 Worker Ant 2019-04-12 02:28:10 UTC
REVIEW: https://review.gluster.org/22550 (tests: write a tests for testing strings in volfile) posted (#1) for review on master by Amar Tumballi

Comment 16 Worker Ant 2019-04-12 02:50:38 UTC
REVIEW: https://review.gluster.org/22551 (tests: add tests for monitoring) posted (#1) for review on master by Amar Tumballi

Comment 17 Worker Ant 2019-04-15 02:19:32 UTC
REVIEW: https://review.gluster.org/22456 (marker-quota: remove dead code) merged (#5) on master by Amar Tumballi

Comment 18 Worker Ant 2019-04-22 12:54:09 UTC
REVIEW: https://review.gluster.org/22597 (tests: add .t file to increase cli code coverage) posted (#1) for review on master by Sanju Rakonde

Comment 19 Worker Ant 2019-04-22 14:26:49 UTC
REVIEW: https://review.gluster.org/22598 (tier: remove tier code to increase code coverage in cli) posted (#1) for review on master by Sanju Rakonde

Comment 20 Worker Ant 2019-04-22 15:22:38 UTC
REVIEW: https://review.gluster.org/22599 (tests: add .t files to increase cli code coverage) posted (#1) for review on master by Rishubh Jain

Comment 21 Worker Ant 2019-04-24 14:33:30 UTC
REVIEW: https://review.gluster.org/22597 (tests: add .t file to increase cli code coverage) merged (#7) on master by Sanju Rakonde

Comment 22 Worker Ant 2019-04-24 14:59:18 UTC
REVIEW: https://review.gluster.org/22599 (tests: add .t files to increase cli code coverage) merged (#4) on master by Rishubh Jain

Comment 23 Worker Ant 2019-04-25 09:36:32 UTC
REVIEW: https://review.gluster.org/22621 (nl-cache:add test to increase code coverage) posted (#1) for review on master by Sheetal Pamecha

Comment 24 Worker Ant 2019-04-25 10:38:58 UTC
REVIEW: https://review.gluster.org/22598 (tier/cli: remove tier code to increase code coverage in cli) merged (#8) on master by Atin Mukherjee

Comment 25 Worker Ant 2019-04-25 12:03:30 UTC
REVIEW: https://review.gluster.org/22629 (libglusterfs: remove compound-fop helper functions) posted (#1) for review on master by Amar Tumballi

Comment 26 Worker Ant 2019-04-25 12:25:37 UTC
REVIEW: https://review.gluster.org/22627 (performance/decompounder: remove the translator as the feature is not used anymore) posted (#2) for review on master by Amar Tumballi

Comment 27 Worker Ant 2019-04-25 13:24:48 UTC
REVIEW: https://review.gluster.org/22630 (tests: add .t files to increase cli code coverage) posted (#1) for review on master by Rishubh Jain

Comment 28 Worker Ant 2019-04-25 13:36:43 UTC
REVIEW: https://review.gluster.org/22631 (tests/cli: add .t file to increase line coverage in cli) posted (#1) for review on master by Sanju Rakonde

Comment 29 Worker Ant 2019-04-29 05:29:59 UTC
REVIEW: https://review.gluster.org/22627 (performance/decompounder: remove the translator as the feature is not used anymore) merged (#3) on master by Amar Tumballi

Comment 30 Worker Ant 2019-04-29 05:30:28 UTC
REVIEW: https://review.gluster.org/22628 (protocol: remove compound fop) merged (#4) on master by Amar Tumballi

Comment 31 Worker Ant 2019-04-29 07:29:59 UTC
REVIEW: https://review.gluster.org/22621 (nl-cache:add test to increase code coverage) merged (#2) on master by Amar Tumballi

Comment 32 Worker Ant 2019-04-29 12:10:08 UTC
REVIEW: https://review.gluster.org/22629 (libglusterfs: remove compound-fop helper functions) merged (#4) on master by Amar Tumballi

Comment 33 Worker Ant 2019-05-02 04:53:10 UTC
REVIEW: https://review.gluster.org/22630 (tests: add .t files to increase cli code coverage) merged (#3) on master by Amar Tumballi

Comment 34 Worker Ant 2019-05-02 06:00:52 UTC
REVIEW: https://review.gluster.org/22631 (tests/cli: add .t file to increase line coverage in cli) merged (#3) on master by Atin Mukherjee

Comment 35 Worker Ant 2019-05-06 09:41:16 UTC
REVIEW: https://review.gluster.org/22664 (glusterd/tier: remove tier related code from glusterd) posted (#1) for review on master by hari gowtham

Comment 36 Worker Ant 2019-05-06 13:58:50 UTC
REVIEW: https://review.gluster.org/22550 (tests: validate volfile grammar - strings in volfile) merged (#9) on master by Amar Tumballi

Comment 37 Worker Ant 2019-05-08 10:32:17 UTC
REVIEW: https://review.gluster.org/22458 (tests: enhance the auth.allow test to validate all failures of 'login' module) merged (#5) on master by Amar Tumballi

Comment 38 Worker Ant 2019-05-21 05:59:05 UTC
REVIEW: https://review.gluster.org/22753 (tests/quick-read-with-upcall.t: increase the timeout) posted (#1) for review on master by Amar Tumballi

Comment 39 Worker Ant 2019-05-21 11:42:14 UTC
REVIEW: https://review.gluster.org/22753 (tests/quick-read-with-upcall.t: increase the timeout) merged (#2) on master by Amar Tumballi

Comment 40 Worker Ant 2019-05-27 07:51:06 UTC
REVIEW: https://review.gluster.org/22664 (glusterd/tier: remove tier related code from glusterd) merged (#8) on master by Amar Tumballi

Comment 41 Worker Ant 2019-05-28 07:15:41 UTC
REVIEW: https://review.gluster.org/22779 (lcov: improve line coverage) posted (#1) for review on master by Amar Tumballi

Comment 42 Worker Ant 2019-05-28 07:32:14 UTC
REVIEW: https://review.gluster.org/22780 (code-coverage: improve it on shard, trace and posix xlators) posted (#1) for review on master by Amar Tumballi

Comment 43 Worker Ant 2019-05-30 07:33:23 UTC
REVIEW: https://review.gluster.org/22551 (tests: add tests for different signal handling) merged (#12) on master by Xavi Hernandez

Comment 44 Worker Ant 2019-05-30 07:36:03 UTC
REVIEW: https://review.gluster.org/22779 (marker: remove some unused functions) merged (#5) on master by Xavi Hernandez

Comment 45 Worker Ant 2019-05-30 10:16:36 UTC
REVIEW: https://review.gluster.org/22789 (lcov: improve line coverage) posted (#1) for review on master by Amar Tumballi

Comment 46 Worker Ant 2019-05-31 03:27:39 UTC
REVIEW: https://review.gluster.org/22792 (lcov: more coverage to shard, old-protocol, sdfs) posted (#1) for review on master by Amar Tumballi

Comment 47 Worker Ant 2019-05-31 09:30:30 UTC
REVIEW: https://review.gluster.org/22792 (lcov: more coverage to shard, old-protocol, sdfs) merged (#1) on master by Amar Tumballi

Comment 48 Worker Ant 2019-05-31 11:32:51 UTC
REVIEW: https://review.gluster.org/22794 (tests/geo-rep: Add tests to cover glusterd geo-rep) posted (#1) for review on master by Kotresh HR

Comment 49 Worker Ant 2019-05-31 13:25:57 UTC
REVIEW: https://review.gluster.org/22794 (tests/geo-rep: Add tests to cover glusterd geo-rep) merged (#2) on master by Kotresh HR

Comment 50 Worker Ant 2019-06-02 09:22:06 UTC
REVIEW: https://review.gluster.org/22799 (lcov: run more fops on translators) posted (#1) for review on master by Amar Tumballi

Comment 51 Worker Ant 2019-06-03 08:26:07 UTC
REVIEW: https://review.gluster.org/22803 (tests/geo-rep: Add geo-rep glusterd test cases) posted (#1) for review on master by Kotresh HR

Comment 52 Worker Ant 2019-06-03 08:43:47 UTC
REVIEW: https://review.gluster.org/22789 (lcov: improve line coverage) merged (#2) on master by Xavi Hernandez

Comment 53 Worker Ant 2019-06-04 06:25:49 UTC
REVIEW: https://review.gluster.org/22803 (tests/geo-rep: Add geo-rep glusterd test cases) merged (#2) on master by Amar Tumballi

Comment 54 Worker Ant 2019-06-04 09:53:36 UTC
REVIEW: https://review.gluster.org/22799 (lcov: run more fops on translators) merged (#3) on master by Amar Tumballi

Comment 55 Worker Ant 2019-06-04 11:08:20 UTC
REVIEW: https://review.gluster.org/22818 (tests/geo-rep: Add geo-rep cli testcases) posted (#1) for review on master by Kotresh HR

Comment 56 Worker Ant 2019-06-06 05:18:08 UTC
REVIEW: https://review.gluster.org/22818 (tests/geo-rep: Add geo-rep cli testcases) merged (#5) on master by Amar Tumballi

Comment 57 Worker Ant 2019-06-18 07:58:01 UTC
REVIEW: https://review.gluster.org/22887 (lcov: add more tests to glfsxmp-coverage) posted (#1) for review on master by Amar Tumballi

Comment 58 Worker Ant 2019-06-25 09:36:58 UTC
REVIEW: https://review.gluster.org/22887 (lcov: add more tests to glfsxmp-coverage) merged (#5) on master by Amar Tumballi

Comment 59 Worker Ant 2019-07-25 07:02:29 UTC
REVIEW: https://review.gluster.org/23098 (error-gen: increase coverage by reducing error-rate) posted (#1) for review on master by Amar Tumballi

Comment 60 Worker Ant 2019-07-25 07:03:41 UTC
REVIEW: https://review.gluster.org/23099 (gfapi: increase function-coverage) posted (#1) for review on master by Amar Tumballi

Comment 61 Worker Ant 2019-07-25 07:04:54 UTC
REVIEW: https://review.gluster.org/23100 (quiesce: add missing fops) posted (#1) for review on master by Amar Tumballi

Comment 62 Worker Ant 2019-07-25 16:46:08 UTC
REVIEW: https://review.gluster.org/23100 (quiesce: add missing fops) merged (#2) on master by Amar Tumballi

Comment 63 Worker Ant 2019-07-29 09:42:19 UTC
REVIEW: https://review.gluster.org/23122 (trace: add more coverage by testing it with glfs-coverage too.) posted (#1) for review on master by Amar Tumballi

Comment 64 Worker Ant 2019-07-30 05:12:34 UTC
REVIEW: https://review.gluster.org/23128 (tests: heal-info add --xml option for more coverage) posted (#1) for review on master by Amar Tumballi

Comment 65 Worker Ant 2019-07-30 13:02:12 UTC
REVIEW: https://review.gluster.org/23122 (trace: add more coverage by testing it with glfs-coverage too.) merged (#2) on master by Amar Tumballi

Comment 66 Worker Ant 2019-07-30 13:02:37 UTC
REVIEW: https://review.gluster.org/23098 (error-gen: increase coverage by reducing error-rate) merged (#4) on master by Amar Tumballi

Comment 67 Worker Ant 2019-07-30 16:27:56 UTC
REVIEW: https://review.gluster.org/23128 (tests: heal-info add --xml option for more coverage) merged (#4) on master by Amar Tumballi

Comment 68 Worker Ant 2019-07-31 00:53:56 UTC
REVIEW: https://review.gluster.org/23099 (gfapi: increase function-coverage) merged (#7) on master by Amar Tumballi

Comment 69 Worker Ant 2019-07-31 04:33:53 UTC
REVIEW: https://review.gluster.org/23133 (glusterfsd: minor enhancements) posted (#1) for review on master by Amar Tumballi

Comment 70 Worker Ant 2019-08-01 07:42:07 UTC
REVIEW: https://review.gluster.org/23139 (lcov: check for zerofill/discard fops on arbiter) posted (#1) for review on master by Amar Tumballi

Comment 71 Worker Ant 2019-08-01 11:55:11 UTC
REVIEW: https://review.gluster.org/23139 (lcov: check for zerofill/discard fops on arbiter) merged (#1) on master by Amar Tumballi

Comment 72 Worker Ant 2019-08-01 13:35:32 UTC
REVIEW: https://review.gluster.org/23141 (xdr: add code so we have more xdr functions covered) posted (#1) for review on master by Amar Tumballi

Comment 73 Worker Ant 2019-08-04 07:11:26 UTC
REVIEW: https://review.gluster.org/23141 (xdr: add code so we have more xdr functions covered) merged (#2) on master by Amar Tumballi

Comment 74 Worker Ant 2019-08-05 17:34:10 UTC
REVIEW: https://review.gluster.org/23159 (tests/line-coverage: more commands added to cover xdrs) posted (#1) for review on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.